Loading...
Searching...
No Matches
powernode.hh File Reference
`#include <cassert>`
`#include <array>`
`#include <memory>`
`#include <type_traits>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/typetree/nodetags.hh>`
`#include <dune/typetree/utility.hh>`
`#include <dune/typetree/childextraction.hh>`
`#include <dune/typetree/typetraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::TypeTree::PowerNode< T, k >
| Collect k instances of type T within a dune-typetree. More...
struct | Dune::TypeTree::PowerNode< T, k >::Child< i >
| Access to the type and storage type of the i-th child. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree